
omega0_10 = 10*2*pi;
Nharm = 5;

K = 1;
omega_c = 2*pi;

% Lowpass
Ad = [0 1; -omega_c^2 -2*omega_c];
Bd = [0; K*omega_c^2];
Cd = [1 0];
Dd = 0;

damping = 4e-2;
K = 1/(8*10);

% Bandpass 10Hz
Ad = blkdiag(Ad, [0            1;
                 -omega0_10^2 -2*damping*omega0_10]);

Bd = [Bd; [0; K*omega0_10^2]];
Cd = [Cd [1 0]];

%Bandpass rotor
%damping = 1e-2;
for i = 1:Nharm
    omega0 = (i*85*2*pi);
    K = 1/(8*85*i);
    Ad = blkdiag(Ad, [0          1; 
                      -omega0^2 -2*damping*omega0]);
    Bd = [Bd; [0; K*omega0^2]];
    Cd = [Cd [1 0]];
end

%Make two axes
Ad = blkdiag(Ad, Ad);
Bd = 50*blkdiag(Bd, Bd);
Cd = blkdiag(Cd, Cd);

sysd = ss(Ad, Bd, Cd, Dd);
%bode(sysd);