#ifndef __GYRO_H_
#define __GYRO_H_

#include <stdint.h>

#define GYRO_P 0
#define GYRO_T 1

#define GYRO_CENTER_P 388.75f
#define GYRO_CENTER_T 384.20f
#define GYRO_TS 0.008 //second

void GYRO_calibrate(uint8_t axis);
float GYRO_getValue(uint8_t axis);

#endif
