#include "uart.h"
#include "controller.h"

#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdio.h>

int main(int argc, char** argv){

	UART_init();
	CONTROLLER_init();

	//LEDs
	DDRC |= (1 << DDC0) | (1 << DDC1) | (1 << DDC2);
	PORTC |= (1 << PC0) | (1 << PC2);

	sei();

	printf("Init complete\n");

	CONTROLLER_run();
	return 0;
}
