#ifndef __MATRIX_H_
#define __MATRIX_H_

#include <stdint.h>

typedef struct {
	float v1;
	float v2;
	float v3;
} Vector3;

typedef struct {
	float v11;
	float v12;
	float v13;
	float v21;
	float v22;
	float v23;
	float v31;
	float v32;
	float v33;
} Matrix33;

Vector3 matxvec(Matrix33 mat, Vector3 vec);
float innerproduct(Vector3 vec1, Vector3 vec2);
Vector3 vecxscalar(Vector3 vec, float num);
Vector3 vecplusvec(Vector3 vec1, Vector3 vec2);

#endif
